## cascading.flow
Enum StepCounters

    java.lang.Object
      java.lang.Enum<StepCounters>
          cascading.flow.StepCounters

All Implemented Interfaces:
  Serializable, Comparable<StepCounters>

    public enum StepCounters

extends Enum<StepCounters>

Enum StepCounters lists all counters

Enum Constant Summary
`Tuples_Read`
`Tuples_Trapped`
`Tuples_Written`

Method Summary
`static StepCounters` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StepCounters[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Tuples_Read

    public static final StepCounters Tuples_Read

### Tuples_Written

    public static final StepCounters Tuples_Written

### Tuples_Trapped

    public static final StepCounters Tuples_Trapped

Method Detail

### values

    public static StepCounters[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StepCounters c : StepCounters.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StepCounters valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.